# imap_undelete

(PHP 4, PHP 5, PHP 7)

imap_undelete — Unmark the message which is marked deleted

### Description

imap_undelete ( resource `$imap_stream` , int `$msg_number` [, int `$flags` = 0 ] ) : bool

Removes the deletion flag for a specified message, which is set by imap_delete() or imap_mail_move().

### Parameters

`imap_stream`

  An IMAP stream returned by imap_open().

`msg_number`

  The message number

`flags`

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- imap_delete() - Mark a message for deletion from current mailbox
- imap_mail_move() - Move specified messages to a mailbox